=== debian/changelog ===
pothos-comms (0.3.5-1) unstable; urgency=low

  * Release 0.3.5 (2021-01-24)

 -- Josh Blum <josh@pothosware.com>  Sun, 24 Jan 2021 19:20:33 -0000

pothos-comms (0.3.4-1) unstable; urgency=low

  * Release 0.3.4 (2020-07-19)

 -- Josh Blum <josh@pothosware.com>  Sun, 19 Jul 2020 21:52:33 -0000

pothos-comms (0.3.3-1) unstable; urgency=low

  * Release 0.3.3 (2019-06-22)

 -- Josh Blum <josh@pothosware.com>  Sat, 22 Jun 2019 07:58:06 -0000

pothos-comms (0.3.2-1) unstable; urgency=low

  * Release 0.3.2 (2018-12-29)

 -- Josh Blum <josh@pothosware.com>  Sat, 29 Dec 2018 19:01:19 -0000

pothos-comms (0.3.1-1) unstable; urgency=low

  * Release 0.3.1 (2018-04-18)

 -- Josh Blum <josh@pothosware.com>  Wed, 18 Apr 2018 18:44:51 -0000

pothos-comms (0.3.0-1) unstable; urgency=low

  * Release 0.3.0 (2017-12-25)

 -- Josh Blum <josh@pothosware.com>  Mon, 25 Dec 2017 11:29:04 -0000

pothos-comms (0.2.2-1) unstable; urgency=low

  * Release 0.2.2 (2017-01-26)

 -- Josh Blum <josh@pothosware.com>  Thu, 26 Jan 2017 21:24:57 -0800

pothos-comms (0.2.1-ppa1) unstable; urgency=low

  * Release 0.2.1 (2016-09-24)

 -- Josh Blum <josh@pothosware.com>  Sat, 24 Sep 2016 19:52:08 -0700

pothos-comms (0.2.0) unstable; urgency=low

  * Release 0.2.0 (2016-08-02)

 -- Josh Blum <josh@pothosware.com>  Tue, 02 Aug 2016 14:18:48 -0700

pothos-comms (0.1.3) unstable; urgency=low

  * Release 0.1.3 (2016-03-06)

 -- Josh Blum <josh@pothosware.com>  Sun, 06 Mar 2016 11:54:42 -0800

pothos-comms (0.1.2) unstable; urgency=low

  * Release 0.1.2 (2016-01-29)

 -- Josh Blum <josh@pothosware.com>  Fri, 29 Jan 2016 11:49:46 -0800

pothos-comms (0.1.1) unstable; urgency=low

  * Release 0.1.1 (2015-12-29)

 -- Josh Blum <josh@pothosware.com>  Tue, 29 Dec 2015 20:46:36 -0800

pothos-comms (0.1.0) unstable; urgency=low

  * Release 0.1.0 (2015-12-16)

 -- Josh Blum <josh@pothosware.com>  Wed, 16 Dec 2015 16:30:45 -0800
