=== debian/control ===
Source: pothos-comms
Section: science
Priority: optional
Maintainer: Josh Blum <josh@pothosware.com>
Build-Depends:
    debhelper (>= 9.0.0),
    cmake (>= 2.8.9),
    libpoco-dev (>= 1.6),
    nlohmann-json-dev,
    libpothos-dev,
    libspuce-dev
Standards-Version: 4.5.0
Homepage: https://github.com/pothosware/PothosComms/wiki
Vcs-Git: https://github.com/pothosware/PothosComms.git
Vcs-Browser: https://github.com/pothosware/PothosComms

Package: pothos-modules-comms
Section: libs
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: pothos0.7-modules-comms, ${misc:Depends}
Description: communications blocks - metapackage
 The Pothos data-flow software suite.

Package: pothos0.7-modules-comms
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: communications blocks
 The Pothos data-flow software suite.
